## libayatana-indicator 0.9.1

=== CMakeLists.txt ===
cmake_minimum_required(VERSION 3.13)
project(libayatana-indicator C)

if(CMAKE_INSTALL_PREFIX_INITIALIZED_TO_DEFAULT)
    SET(CMAKE_INSTALL_PREFIX "/usr" CACHE PATH "..." FORCE)
endif(CMAKE_INSTALL_PREFIX_INITIALIZED_TO_DEFAULT)

# Options

option(ENABLE_TESTS "Enable all tests and checks" OFF)
option(ENABLE_COVERAGE "Enable coverage reports (includes enabling all tests and checks)" OFF)
option(ENABLE_WERROR "Treat all build warnings as errors" OFF)

if(ENABLE_COVERAGE)
    set(ENABLE_TESTS ON)
    set(CMAKE_BUILD_TYPE "Coverage")
else()
    set(CMAKE_BUILD_TYPE "Release")
endif()

if(ENABLE_WERROR)
    add_definitions("-Werror")
endif()

if("${CMAKE_CXX_COMPILER_ID}" STREQUAL "Clang")
    add_definitions("-Weverything")
else()
    add_definitions("-Wall")
endif()

# Check for prerequisites

option(FLAVOUR_GTK2 "Build against GTK+-2.0" OFF)
option(FLAVOUR_GTK3 "Build against GTK+-3.0" ON)
option(ENABLE_LOADER "Build Ayatana Indicator Loader" ON)
option(ENABLE_IDO "Enable IDO specific code" ON)

if (FLAVOUR_GTK2)
    set (FLAVOUR_GTK3 OFF)
    set (ENABLE_IDO OFF)
endif()
if (FLAVOUR_GTK3)
    set (FLAVOUR_GTK2 OFF)
endif()

set(DEPS
    glib-2.0>=2.37
    gmodule-2.0
    gio-unix-2.0
)
if (FLAVOUR_GTK3)
    set(DEPS
    ${DEPS}
    gtk+-3.0>=3.24
    )
endif()
if (FLAVOUR_GTK2)
    set(DEPS
    ${DEPS}
    gtk+-2.0>=2.18
    )
endif()

if (FLAVOUR_GTK3 AND ENABLE_IDO)
    set(DEPS
        ${DEPS}
        libayatana-ido3-0.4>=0.8.2
    )
endif()

find_package (PkgConfig REQUIRED)
pkg_check_modules(PROJECT_DEPS REQUIRED ${DEPS})

include(CheckLibraryExists)

CHECK_LIBRARY_EXISTS(m sin "" HAVE_LIB_M)
if (HAVE_LIB_M)
    set(EXTRA_LIBS ${EXTRA_LIBS} m)
endif (HAVE_LIB_M)

# Set global variables

include(GNUInstallDirs)
set(ABI_VERSION "7")
set(API_VERSION "4")
set(PROJECT_VERSION "0.9.1")
set(PROJECT_NAME "libayatana-indicator")

# Make everything

add_subdirectory(src)
add_subdirectory(data)

if (ENABLE_LOADER)

    add_subdirectory(tools)

endif()

set (COVERAGE_TEST_EXECUTABLES
     "service-manager-connect"
     "service-manager-connect-service"
     "service-manager-no-connect"
     "service-manager-nostart-connect"
     "service-shutdown-timeout"
     "service-version-bad-service"
     "service-version-good-service"
     "service-version-manager"
     "service-version-multiwatch-manager"
     "service-version-multiwatch-manager-impolite"
     "service-version-multiwatch-service"
     "test-desktop-shortcuts"
     "test-loader"
)

if(FLAVOUR_GTK3 AND ENABLE_IDO)
  set (COVERAGE_TEST_EXECUTABLES
       ${COVERAGE_TEST_EXECUTABLES}
       "test-indicator-ng"
  )
endif()

if(ENABLE_TESTS)
    include(CTest)
    enable_testing()
    add_subdirectory(tests)

    if (ENABLE_COVERAGE)
        find_package(CoverageReport)
        ENABLE_COVERAGE_REPORT(
            TARGETS "ayatana-indicator3"
            TESTS ${COVERAGE_TEST_EXECUTABLES}
            FILTER /usr/include ${CMAKE_BINARY_DIR}/*
        )
    endif()

endif()

# Display config info

message(STATUS "Install prefix: ${CMAKE_INSTALL_PREFIX}")
message(STATUS "GTK+-3.0 build: ${FLAVOUR_GTK3}")
message(STATUS "GTK+-2.0 build: ${FLAVOUR_GTK2}")
message(STATUS "Loader enabled ${ENABLE_LOADER}")
message(STATUS "IDO enabled: ${ENABLE_IDO}")
message(STATUS "Unit tests: ${ENABLE_TESTS}")
message(STATUS "Build with -Werror: ${ENABLE_WERROR}")

## libayatana-indicator 0.6.2

=== debian/changelog ===
libayatana-indicator (0.6.2-1) unstable; urgency=medium

  * New upstream release.
    - Type cast assignments from g_object_ref_sink().
      (Closes: #893513).
  * debian/control:
    + Bump Standards-Version: to 4.1.3. No changes needed.
  * debian/copyright:
    + Use secure URI for copyright format reference.
  * debian/watch:
    + Use secure URL to obtain upstream sources.

 -- Mike Gabriel <sunweaver@debian.org>  Tue, 20 Mar 2018 10:51:28 +0100

libayatana-indicator (0.6.1-1) unstable; urgency=medium

  * New upstream release.
  * debian/control:
    + Make systemd a B-D only on [linux-any].
    + Add B-D: dh-exec.
    + Bump Standards-Version: to 4.1.0. No changes needed.
  * debian/ayatana-indicators-common:
    + Leave ayatana-indicators-commin bin:package empty on non-systemd
      systems. Resolves FTBFS on Debian GNU/Hurd and Debian GNU/kFreeBSD.
  * debian/{control,copyright,watch}:
    + Update upstream URLs to new upstream project locations.
  * debian/rules:
    + Drop dh_install call for bin:pkg -plibayatana-indicator-tools. We don't
      ship that anymore.

  * Upload to unstable.

 -- Mike Gabriel <sunweaver@debian.org>  Fri, 22 Sep 2017 10:19:31 +0200

libayatana-indicator (0.6.0-1) experimental; urgency=medium

  * Initial release to Debian. (Closes: #863134).

 -- Mike Gabriel <sunweaver@debian.org>  Mon, 22 May 2017 15:19:30 +0200

=== debian/control ===
Source: libayatana-indicator
Section: libs
Priority: optional
Maintainer: Ayatana Packagers <pkg-ayatana-devel@lists.alioth.debian.org>
Uploaders:
 Mike Gabriel <sunweaver@debian.org>,
Build-Depends: debhelper (>= 11~),
               dh-exec,
               dpkg-dev (>= 1.16.1.1),
               libtool,
               intltool,
               mate-common,
               gtk-doc-tools,
               dbus-test-runner,
               xvfb,
               libglib2.0-dev (>= 2.37),
               libgtk2.0-dev (>= 2.18),
               libgtk-3-dev (>= 2.91.3),
               libayatana-ido3-0.4-dev (>= 0.4.0-0~),
               systemd [linux-any],
Standards-Version: 4.1.3
Homepage: https://github.com/AyatanaIndicators/libayatana-indicator
Vcs-Git: https://anonscm.debian.org/git/pkg-ayatana/libayatana-indicator.git
Vcs-Browser: https://anonscm.debian.org/git/pkg-ayatana/libayatana-indicator.git

Package: libayatana-indicator7
Architecture: any
Depends: ${shlibs:Depends},
         ${misc:Depends},
Multi-Arch: same
Description: panel indicator applet - shared library (GTK-2+ variant)
 The Ayatana Indicators library contains information to build indicators
 to go into modern desktops' indicator applets.
 .
 This package contains the library itself (GTK-2+ variant).

Package: libayatana-indicator-dev
Section: libdevel
Architecture: any
Depends: ${shlibs:Depends},
         ${misc:Depends},
         libgtk2.0-dev (>= 2.12.0),
         libayatana-indicator7 (= ${binary:Version}),
Description: panel indicator applet - library development files (GTK-2+)
 The Ayatana Indicators library contains information to build indicators
 to go into modern desktops' indicator applets.
 .
 This package contains files that are needed to build GTK-2+ applications
 with Ayatana Indicator support.

Package: libayatana-indicator3-7
Architecture: any
Depends: ${shlibs:Depends},
         ${misc:Depends},
Multi-Arch: same
Description: panel indicator applet - shared library (GTK-3+ variant)
 The Ayatana Indicators library contains information to build indicators
 to go into modern desktops' indicator applets.
 .
 This package contains the library itself (GTK-3+ variant).

Package: libayatana-indicator3-dev
Section: libdevel
Architecture: any
Depends: ${shlibs:Depends},
         ${misc:Depends},
         libgtk-3-dev (>= 2.91.3),
         libayatana-indicator3-7 (= ${binary:Version}),
         libayatana-indicator-dev (= ${binary:Version}),
Description: panel indicator applet - library development files (GTK-3+)
 The Ayatana Indicators library contains information to build indicators
 to go into modern desktops' indicator applets.
 .
 This package contains files that are needed to build GTK-3+ applications
 with Ayatana Indicator support.

Package: libayatana-indicator3-tools
Section: devel
Architecture: any
Depends: ${shlibs:Depends},
         ${misc:Depends},
         libayatana-indicator3-7 (= ${binary:Version}),
Multi-Arch: foreign
Replaces: libayatana-indicator-tools,
Conflicts: libayatana-indicator-tools,
Description: Tools for libayatana-indicator
 The Ayatana Indicators library contains information to build indicators
 to go into modern desktops' indicator applets.
 .
 This package contains tools useful for developers of applications using
 indicators.

Package: ayatana-indicator-common
Architecture: all
Depends: ${misc:Depends},
Multi-Arch: foreign
Description: libayatana-indicator shared files
 The Ayatana Indicators library contains information to build indicators
 to go into modern desktops' indicator applets.
 .
 This package has files needed to work with the Ayatana Indicators. This
 includes the systemd ayatana-indicators-pre.target.

=== debian/rules ===
#!/usr/bin/make -f

FLAVORS = gtk2 gtk3

export DEB_BUILD_MAINT_OPTIONS = hardening=+all
DPKG_EXPORT_BUILDFLAGS = 1
include /usr/share/dpkg/buildflags.mk

COMMON_CONFIGURE_FLAGS = --disable-silent-rules

CONFIGURE_FLAGS_gtk2 = --with-gtk=2
CONFIGURE_FLAGS_gtk3 = --with-gtk=3

LDFLAGS += -Wl,-z,defs -Wl,--as-needed

export G_MESSAGES_DEBUG = all
export DPKG_GENSYMBOLS_CHECK_LEVEL = 4

%:
	dh $@ --with autoreconf

override_dh_autoreconf:
	NOCONFIGURE=1 dh_autoreconf ./autogen.sh

override_dh_auto_configure: $(FLAVORS:%=doconfigure-%)

doconfigure-%:
	DH_VERBOSE=1 dh_auto_configure --builddirectory=builddir/$* -- $(COMMON_CONFIGURE_FLAGS) $(CONFIGURE_FLAGS_$*)

override_dh_auto_build: $(FLAVORS:%=dobuild-%)

dobuild-%:
	dh_auto_build --builddirectory=builddir/$*

override_dh_auto_install: $(FLAVORS:%=doinstall-%)

doinstall-%:
	dh_auto_install --builddirectory=builddir/$* --destdir=debian/tmp/$*

override_dh_install:
	find debian/tmp -name \*.la -delete
	find debian/tmp -name libdummy-indicator\* -delete
	rm -f debian/tmp/gtk2/usr/share/libayatana-indicator/80indicator-debugging
	rm -f debian/tmp/gtk2/usr/lib/systemd/user/ayatana-indicators-pre.target
	dh_install -plibayatana-indicator7 --fail-missing --sourcedir=debian/tmp/gtk2
	dh_install -plibayatana-indicator-dev --fail-missing --sourcedir=debian/tmp/gtk2
	dh_install -plibayatana-indicator3-7 --fail-missing --sourcedir=debian/tmp/gtk3
	dh_install -plibayatana-indicator3-dev --fail-missing --sourcedir=debian/tmp/gtk3
	dh_install -plibayatana-indicator3-tools --fail-missing --sourcedir=debian/tmp/gtk3
	dh_install -payatana-indicator-common --fail-missing --sourcedir=debian/tmp/gtk3

override_dh_makeshlibs:
	dh_makeshlibs -plibayatana-indicator7 -V 'libayatana-indicator7 (>= 0.6.0)'
	dh_makeshlibs -plibayatana-indicator3-7 -V 'libayatana-indicator3-7 (>= 0.6.0)'

override_dh_auto_clean:
	dh_auto_clean
	rm -Rf builddir/
	rm -Rf build-aux/

get-orig-source:
	uscan --noconf --force-download --rename --download-current-version --destdir=..

=== debian/watch ===
version=3
opts=pgpsigurlmangle=s/$/.asc/ \
https://releases.ayatana-indicators.org/source/libayatana-indicator/libayatana-indicator-(.+)\.tar\.gz

## libayatana-indicator 0.6.2-1%2B8.0trisquel1

=== debian/changelog ===
libayatana-indicator (0.6.2-1+8.0trisquel1) flidas; urgency=medium

  * Backported from bionic

 -- Trisquel GNU/Linux developers <trisquel-devel@listas.trisquel.info>  Thu, 26 Mar 2020 15:43:37 +0000

## libayatana-indicator 0.6.2-1+8.0trisquel1

=== debian/control ===
--- 
+++ 
@@ -4,7 +4,7 @@
 Maintainer: Ayatana Packagers <pkg-ayatana-devel@lists.alioth.debian.org>
 Uploaders:
  Mike Gabriel <sunweaver@debian.org>,
-Build-Depends: debhelper (>= 11~),
+Build-Depends: debhelper (>= 10~),
                dh-exec,
                dpkg-dev (>= 1.16.1.1),
                libtool,

## libayatana-indicator 0.6.3

=== debian/changelog ===
libayatana-indicator (0.6.3-1) unstable; urgency=medium

  * New upstream release.
    - Fixes gtk-2.0 build's FTBFS against glib2.0 (>= 2.62).
      (Closes: #943877).
  * debian/{control,compat}:
    + Switch to debhelper-compat notation. Bump DH comat level to version 12.
  * debian/control:
    + Bump Standards-Version: 4.4.1. No changes needed.
    + Add Rules-Requires-Root: field and set it to "no".
  * debian/rules:
    + Switch from dh_install --fail-missing to dh_missing --fail-missing.
    + Drop '--with autoreconf' from DH call. It's the default since DH
      compat level 12.
  * debian/*.symbols:
    + Add Build-Depends-Package: meta data fields.
  * debian/libayatana-indicator3-tools.install:
    + Tools are now installed to libexec dir.

 -- Mike Gabriel <sunweaver@debian.org>  Wed, 20 Nov 2019 14:30:19 +0100

libayatana-indicator (0.6.2-3) unstable; urgency=medium

  * debian/control:
    + Drop D (libayatana-indicator3-dev) on libayatana-indicator-dev.
      This caused build-envs to pull in the full GTK-2+ build stack when
      only GTK-3+ was required. (Closes: #924879).

 -- Mike Gabriel <sunweaver@debian.org>  Mon, 18 Mar 2019 10:22:30 +0100

libayatana-indicator (0.6.2-2) unstable; urgency=medium

  * debian/control:
    + Update Vcs-*: fields. Packaging Git has been migrated to salsa.debian.org.
    + Use un-API-versioned B-D for libayatana-ido3-dev.
    + Bump Standards-Version: to 4.2.0. No changes needed.
  * debian/copyright:
    + Update copyright attributions.
  * debian/upstream/metadata:
    + Add file. Comply with DEP-12.

 -- Mike Gabriel <sunweaver@debian.org>  Tue, 14 Aug 2018 19:06:59 +0200

=== debian/control ===
--- 
+++ 
@@ -4,7 +4,7 @@
 Maintainer: Ayatana Packagers <pkg-ayatana-devel@lists.alioth.debian.org>
 Uploaders:
  Mike Gabriel <sunweaver@debian.org>,
-Build-Depends: debhelper (>= 10~),
+Build-Depends: debhelper-compat (= 12),
                dh-exec,
                dpkg-dev (>= 1.16.1.1),
                libtool,
@@ -16,12 +16,13 @@
                libglib2.0-dev (>= 2.37),
                libgtk2.0-dev (>= 2.18),
                libgtk-3-dev (>= 2.91.3),
-               libayatana-ido3-0.4-dev (>= 0.4.0-0~),
+               libayatana-ido3-dev (>= 0.4.0-0~),
                systemd [linux-any],
-Standards-Version: 4.1.3
+Standards-Version: 4.4.1
+Rules-Requires-Root: no
 Homepage: https://github.com/AyatanaIndicators/libayatana-indicator
-Vcs-Git: https://anonscm.debian.org/git/pkg-ayatana/libayatana-indicator.git
-Vcs-Browser: https://anonscm.debian.org/git/pkg-ayatana/libayatana-indicator.git
+Vcs-Git: https://salsa.debian.org/debian-ayatana-team/libayatana-indicator.git
+Vcs-Browser: https://salsa.debian.org/debian-edu-ayatana-team/libayatana-indicator
 
 Package: libayatana-indicator7
 Architecture: any
@@ -66,7 +67,6 @@
          ${misc:Depends},
          libgtk-3-dev (>= 2.91.3),
          libayatana-indicator3-7 (= ${binary:Version}),
-         libayatana-indicator-dev (= ${binary:Version}),
 Description: panel indicator applet - library development files (GTK-3+)
  The Ayatana Indicators library contains information to build indicators
  to go into modern desktops' indicator applets.

=== debian/rules ===
--- 
+++ 
@@ -17,7 +17,7 @@
 export DPKG_GENSYMBOLS_CHECK_LEVEL = 4
 
 %:
-	dh $@ --with autoreconf
+	dh $@
 
 override_dh_autoreconf:
 	NOCONFIGURE=1 dh_autoreconf ./autogen.sh
@@ -42,12 +42,20 @@
 	find debian/tmp -name libdummy-indicator\* -delete
 	rm -f debian/tmp/gtk2/usr/share/libayatana-indicator/80indicator-debugging
 	rm -f debian/tmp/gtk2/usr/lib/systemd/user/ayatana-indicators-pre.target
-	dh_install -plibayatana-indicator7 --fail-missing --sourcedir=debian/tmp/gtk2
-	dh_install -plibayatana-indicator-dev --fail-missing --sourcedir=debian/tmp/gtk2
-	dh_install -plibayatana-indicator3-7 --fail-missing --sourcedir=debian/tmp/gtk3
-	dh_install -plibayatana-indicator3-dev --fail-missing --sourcedir=debian/tmp/gtk3
-	dh_install -plibayatana-indicator3-tools --fail-missing --sourcedir=debian/tmp/gtk3
-	dh_install -payatana-indicator-common --fail-missing --sourcedir=debian/tmp/gtk3
+	dh_install -plibayatana-indicator7 --sourcedir=debian/tmp/gtk2
+	dh_install -plibayatana-indicator-dev --sourcedir=debian/tmp/gtk2
+	dh_install -plibayatana-indicator3-7 --sourcedir=debian/tmp/gtk3
+	dh_install -plibayatana-indicator3-dev --sourcedir=debian/tmp/gtk3
+	dh_install -plibayatana-indicator3-tools --sourcedir=debian/tmp/gtk3
+	dh_install -payatana-indicator-common --sourcedir=debian/tmp/gtk3
+
+override_dh_missing:
+	dh_missing -plibayatana-indicator7 --sourcedir=debian/tmp/gtk2
+	dh_missing -plibayatana-indicator-dev --sourcedir=debian/tmp/gtk2
+	dh_missing -plibayatana-indicator3-7 --sourcedir=debian/tmp/gtk3
+	dh_missing -plibayatana-indicator3-dev --sourcedir=debian/tmp/gtk3
+	dh_missing -plibayatana-indicator3-tools --sourcedir=debian/tmp/gtk3
+	dh_missing -payatana-indicator-common --sourcedir=debian/tmp/gtk3
 
 override_dh_makeshlibs:
 	dh_makeshlibs -plibayatana-indicator7 -V 'libayatana-indicator7 (>= 0.6.0)'

## libayatana-indicator 0.8.1

=== debian/changelog ===
libayatana-indicator (0.8.1-1) unstable; urgency=medium

  * New upstream release.
  * debian/patches:
    + Drop 0001_Fix-IDO-insertion-index-in-Indicator-Messages-with-m.patch.
      Applied upstream.

 -- Mike Gabriel <sunweaver@debian.org>  Wed, 26 Aug 2020 09:39:59 +0200

libayatana-indicator (0.8.0-1) unstable; urgency=medium

  * New upstream release.
  * debian/patches:
    + Add 0001_Fix-IDO-insertion-index-in-Indicator-Messages-with-m.patch.
      Fix IDO insertion index in Indicator Messages with multiple messagemenu
      clients registered.
  * debian/control:
    + Update versioned B-D on libayatana-ido3-dev (>= 0.8.0).
  * debian/libayatana-indicator3-7.symbols:
    + Update symbols.
  * debian/copyright:
    + Update copyright attributions.

 -- Mike Gabriel <sunweaver@debian.org>  Tue, 18 Aug 2020 08:16:18 +0200

libayatana-indicator (0.7.1-1) unstable; urgency=medium

  * New upstream release.

 -- Mike Gabriel <sunweaver@debian.org>  Wed, 29 Jul 2020 23:38:09 +0200

libayatana-indicator (0.7.0-1) unstable; urgency=medium

  * New upstream release.
  * debian/control:
    + Bump Standards-Version: to 4.5.0. No changes needed.
    + Bump DH compat level to version 13.
  * debian/libayatana-indicator3-7.symbols:
    + Update symbols.
  * debian/copyright:
    + Update copyright attributions.
  * debian/rules:
    + Drop LDFLAGS --as-needed addition. Default since bullseye release cycle.

 -- Mike Gabriel <sunweaver@debian.org>  Fri, 24 Jul 2020 06:50:32 +0200

=== debian/control ===
--- 
+++ 
@@ -4,7 +4,7 @@
 Maintainer: Ayatana Packagers <pkg-ayatana-devel@lists.alioth.debian.org>
 Uploaders:
  Mike Gabriel <sunweaver@debian.org>,
-Build-Depends: debhelper-compat (= 12),
+Build-Depends: debhelper-compat (= 13),
                dh-exec,
                dpkg-dev (>= 1.16.1.1),
                libtool,
@@ -16,9 +16,9 @@
                libglib2.0-dev (>= 2.37),
                libgtk2.0-dev (>= 2.18),
                libgtk-3-dev (>= 2.91.3),
-               libayatana-ido3-dev (>= 0.4.0-0~),
+               libayatana-ido3-dev (>= 0.8.0),
                systemd [linux-any],
-Standards-Version: 4.4.1
+Standards-Version: 4.5.0
 Rules-Requires-Root: no
 Homepage: https://github.com/AyatanaIndicators/libayatana-indicator
 Vcs-Git: https://salsa.debian.org/debian-ayatana-team/libayatana-indicator.git

=== debian/rules ===
--- 
+++ 
@@ -10,8 +10,6 @@
 
 CONFIGURE_FLAGS_gtk2 = --with-gtk=2
 CONFIGURE_FLAGS_gtk3 = --with-gtk=3
-
-LDFLAGS += -Wl,-z,defs -Wl,--as-needed
 
 export G_MESSAGES_DEBUG = all
 export DPKG_GENSYMBOLS_CHECK_LEVEL = 4

## libayatana-indicator 0.8.4

=== debian/changelog ===
libayatana-indicator (0.8.4-1+deb11u2) bullseye; urgency=medium

  * debian/patches:
    + Add 0002_src-indicator-ng.c-Make-sure-old-menu-item-name-is-n.patch.
      Prevent regular crashes in indicator applets. (Closes: #992499).

 -- Mike Gabriel <sunweaver@debian.org>  Wed, 10 Nov 2021 13:45:53 +0100

libayatana-indicator (0.8.4-1+deb11u1) bullseye; urgency=medium

  [ Martin Wimpress ]
  * debian/patches:
    + Add 0001_scale-icons-when-loading-from-filename.patch (LP: #1733301)

  [ Mike Gabriel ]
  * debian/patches:
    + Fix file path in 0001_scale-icons-when-loading-from-filename.patch.

 -- Mike Gabriel <sunweaver@debian.org>  Tue, 19 Oct 2021 10:26:27 +0200

libayatana-indicator (0.8.4-1) unstable; urgency=medium

  * New upstream release.
  * debian/patches:
    + Add 1001_build-tests-without-Werror.patch. Drop -Werror compiler flag
      for unit tests.
  * debian/control:
    + Add B: (ayatana-indicator-common) to make sure, all indicators are update
      to above 0.8.0.
    + Add B-D at-spi2-core. Let unit tests that are wrapped by Xvfb and/or
      dbus-wrapper succeed.
  * debian/rules:
    + Run unit tests after build.
    + Don't run unit test parallely.

 -- Mike Gabriel <sunweaver@debian.org>  Wed, 03 Feb 2021 16:20:46 +0100

libayatana-indicator (0.8.3-1) unstable; urgency=medium

  * New upstream release.

 -- Mike Gabriel <sunweaver@debian.org>  Mon, 09 Nov 2020 20:30:44 +0100

libayatana-indicator (0.8.2-1) unstable; urgency=medium

  * New upstream release.

 -- Mike Gabriel <sunweaver@debian.org>  Thu, 10 Sep 2020 22:08:29 +0200

=== debian/control ===
--- 
+++ 
@@ -4,7 +4,8 @@
 Maintainer: Ayatana Packagers <pkg-ayatana-devel@lists.alioth.debian.org>
 Uploaders:
  Mike Gabriel <sunweaver@debian.org>,
-Build-Depends: debhelper-compat (= 13),
+Build-Depends: at-spi2-core,
+               debhelper-compat (= 13),
                dh-exec,
                dpkg-dev (>= 1.16.1.1),
                libtool,
@@ -18,7 +19,7 @@
                libgtk-3-dev (>= 2.91.3),
                libayatana-ido3-dev (>= 0.8.0),
                systemd [linux-any],
-Standards-Version: 4.5.0
+Standards-Version: 4.5.1
 Rules-Requires-Root: no
 Homepage: https://github.com/AyatanaIndicators/libayatana-indicator
 Vcs-Git: https://salsa.debian.org/debian-ayatana-team/libayatana-indicator.git
@@ -94,6 +95,16 @@
 Architecture: all
 Depends: ${misc:Depends},
 Multi-Arch: foreign
+Breaks: ayatana-indicator-application (<< 0.8.0),
+        ayatana-indicator-datetime (<< 0.8.0),
+        ayatana-indicator-display (<< 0.8.0),
+        ayatana-indicator-keyboard (<< 0.7.900),
+        ayatana-indicator-messages (<< 0.8.0),
+        ayatana-indicator-notifications (<< 0.8.0),
+        ayatana-indicator-printers (<< 0.8.0),
+        ayatana-indicator-power (<< 2.1.0),
+        ayatana-indicator-session (<< 0.8.0),
+        ayatana-indicator-sound (<< 0.8.0),
 Description: libayatana-indicator shared files
  The Ayatana Indicators library contains information to build indicators
  to go into modern desktops' indicator applets.

=== debian/rules ===
--- 
+++ 
@@ -29,6 +29,11 @@
 
 dobuild-%:
 	dh_auto_build --builddirectory=builddir/$*
+
+override_dh_auto_test: $(FLAVORS:%=dotest-%)
+
+dotest-%:
+	dh_auto_test --no-parallel --builddirectory=builddir/$*
 
 override_dh_auto_install: $(FLAVORS:%=doinstall-%)

## libayatana-indicator 0.9.1

=== debian/changelog ===
libayatana-indicator (0.9.1-1) unstable; urgency=medium

  * New upstream release.
  * debian/patches:
    + Drop 0001_src-CMakeLists.txt-indicator.symbols-Don-t-export-pr.patch.
      Applied upstream.
  * debian/copyright:
    + Update copyright attributions.

 -- Mike Gabriel <sunweaver@debian.org>  Fri, 18 Feb 2022 11:47:52 +0100

libayatana-indicator (0.9.0-1) unstable; urgency=medium

  * New upstream release.
  * debian/patches:
    + Drop all previous patches. All shipped upstream.
    + Add 0001_src-CMakeLists.txt-indicator.symbols-Don-t-export-pr.patch. Don't
      export private symbols.
  * debian/:
    + Adjust to upstream build system switch (autotools -> CMake).
  * debian/control:
    + Bump Standards-Version: to 4.6.0. No changes needed.
    + Add missing dev:pkg dependency to libayatana-indicator3-dev:
      libayatana-ido3-dev (>= 0.8.0).
    + Enforce usage of version 0.9.0 of the Ayatana IDO library.
  * debian/copyright:
    + Update auto-generated copyright.in reference file.
    + Update copyright attributions.
  * debian/watch:
    + Use format version 4.
  * debian/rules:
    + Install NEWS file as upstream ChangeLog.
  * debian/upstream/metadata:
    + Update points of contact, put UBports Foundation in Donation: field.

 -- Mike Gabriel <sunweaver@debian.org>  Thu, 18 Nov 2021 13:35:28 +0100

libayatana-indicator (0.8.4-4) unstable; urgency=medium

  * debian/{control,ayatana-indicator-common.*}:
    + Drop bin:pkg ayatana-indicator-common. Now provided by libayatana-common.
      (Closes: #993960).
  * debian/control:
    + Drop B-D dh-exec. Not needed anymore.
    + Drop B-D systemd. Not needed anymore.
  * debian/rules:
    + Drop dh_install/dh_missing calls for ayatana-indicator-common.
    + Make sure ayatana-indicators.target gets removed before dh_install.
  * debian/copyright:
    + Update copyright attributions.

 -- Mike Gabriel <sunweaver@debian.org>  Wed, 10 Nov 2021 15:17:17 +0100

libayatana-indicator (0.8.4-3) unstable; urgency=medium

  * debian/patches:
    + Add 0002_src-indicator-ng.c-Make-sure-old-menu-item-name-is-n.patch.
      Prevent regular crashes in indicator applets. (Closes: #992499).

 -- Mike Gabriel <sunweaver@debian.org>  Wed, 10 Nov 2021 13:39:08 +0100

libayatana-indicator (0.8.4-2) unstable; urgency=medium

  [ Martin Wimpress ]
  * debian/patches:
    + Add 0001_scale-icons-when-loading-from-filename.patch (LP: #1733301)

  [ Mike Gabriel ]
  * debian/patches:
    + Fix file path in 0001_scale-icons-when-loading-from-filename.patch.

 -- Mike Gabriel <sunweaver@debian.org>  Tue, 19 Oct 2021 10:26:27 +0200

=== debian/control ===
--- 
+++ 
@@ -5,21 +5,21 @@
 Uploaders:
  Mike Gabriel <sunweaver@debian.org>,
 Build-Depends: at-spi2-core,
+               cmake,
+               cmake-extras,
                debhelper-compat (= 13),
-               dh-exec,
                dpkg-dev (>= 1.16.1.1),
                libtool,
                intltool,
-               mate-common,
                gtk-doc-tools,
                dbus-test-runner,
+               xauth,
                xvfb,
                libglib2.0-dev (>= 2.37),
                libgtk2.0-dev (>= 2.18),
                libgtk-3-dev (>= 2.91.3),
-               libayatana-ido3-dev (>= 0.8.0),
-               systemd [linux-any],
-Standards-Version: 4.5.1
+               libayatana-ido3-dev (>= 0.9.0),
+Standards-Version: 4.6.0
 Rules-Requires-Root: no
 Homepage: https://github.com/AyatanaIndicators/libayatana-indicator
 Vcs-Git: https://salsa.debian.org/debian-ayatana-team/libayatana-indicator.git
@@ -67,6 +67,7 @@
 Depends: ${shlibs:Depends},
          ${misc:Depends},
          libgtk-3-dev (>= 2.91.3),
+         libayatana-ido3-dev (>= 0.9.0),
          libayatana-indicator3-7 (= ${binary:Version}),
 Description: panel indicator applet - library development files (GTK-3+)
  The Ayatana Indicators library contains information to build indicators
@@ -90,24 +91,3 @@
  .
  This package contains tools useful for developers of applications using
  indicators.
-
-Package: ayatana-indicator-common
-Architecture: all
-Depends: ${misc:Depends},
-Multi-Arch: foreign
-Breaks: ayatana-indicator-application (<< 0.8.0),
-        ayatana-indicator-datetime (<< 0.8.0),
-        ayatana-indicator-display (<< 0.8.0),
-        ayatana-indicator-keyboard (<< 0.7.900),
-        ayatana-indicator-messages (<< 0.8.0),
-        ayatana-indicator-notifications (<< 0.8.0),
-        ayatana-indicator-printers (<< 0.8.0),
-        ayatana-indicator-power (<< 2.1.0),
-        ayatana-indicator-session (<< 0.8.0),
-        ayatana-indicator-sound (<< 0.8.0),
-Description: libayatana-indicator shared files
- The Ayatana Indicators library contains information to build indicators
- to go into modern desktops' indicator applets.
- .
- This package has files needed to work with the Ayatana Indicators. This
- includes the systemd ayatana-indicators-pre.target.
